declare interface IsplitLine {
  showHorizontalLine: boolean
  showVerticalLine: boolean
  horizontalLineColor?: string
  horizontalLineSize?: string
  horizontalLineStyle?: 'solid' | 'dashed' | 'dotted'
  verticalLineColor?: string
  verticalLineSize?: string
  verticalLineStyle?: 'solid' | 'dashed' | 'dotted'
}

declare interface IxAxis {
  labelColor: string
  labelFontFamily: string
  labelFontSize: string
  lineColor: string
  lineSize: string
  lineStyle: 'solid' | 'dashed' | 'dotted'
  showLabel: boolean
  showLine: boolean
  xAxisInterval: number
  xAxisRotate: number
  showTicks: boolean
}

declare interface IyAxis {
  labelColor: string
  labelFontFamily: string
  labelFontSize: string
  lineColor: string
  lineSize: string
  lineStyle: 'solid' | 'dashed' | 'dotted'
  nameGap: number
  nameLocation: 'start' | 'middle' | 'center' | 'end'
  nameRotate: number
  showLabel: boolean
  showLine: boolean
  showTitleAndUnit: boolean
  titleColor: string
  titleFontFamily: string
  titleFontSize: string
  inverse: boolean
  showTicks: boolean
}

declare interface Ilegend {
  color: string
  fontFamily: string
  fontSize: string
  legendPosition: 'right' | 'left' | 'top' | 'bottom'
  selectAll: boolean
  showLegend: boolean
  orient: 'horizontal' | 'vertical'
}

declare interface Ilabel {
  labelColor: string
  labelFontFamily: string
  labelFontSize: string
  labelPosition: string
  showLabel: boolean
  pieLabelPosition?: 'inside' | 'outside' | 'center' | 'inner'
}

declare interface Ispec {
  roseType?: boolean
  circle?: boolean
  stack?: boolean
  smooth?: boolean
  step?: boolean
  radarShape?: 'radar' | 'circle'
}

declare interface Imixedlinebar {
  [x: string]: string
}

declare interface Idatazoom {
  showXAxis: boolean
  showYAxis: boolean
}

declare interface IchartStyles {
  splitLine: IsplitLine
  xAxis: IxAxis
  yAxis: IyAxis
  legend: Ilegend
  label: Ilabel
  spec: Ispec
  mixedlinebar: Imixedlinebar
  datazoom: Idatazoom
}

declare interface Ioptions {
  width?: number
  height?: number
  data?: any[]
  chartStyles?: IchartStyles
  cols?: any[]
  metrics?: any[]
}
