import React from 'react'
import EchartsBarChart from '../origin/echarts/LineChart'
import D3LineChart from '../origin/d3/LineChart'
import { origin } from '../util/config'

interface IProps {
  mode: string
  options: object
}

class Index extends React.Component<IProps, any> {

  render() {
    const { mode, options } = this.props
    return (
      <div>
        {mode === origin.Echarts && <EchartsBarChart options={options} />}
        {mode === origin.D3 && <D3LineChart options={options} />}
      </div>
    )
  }
}

export default Index
