import React from 'react'
import EchartsPieChart from '../origin/echarts/PieChart'
import D3PieChart from '../origin/d3/PieChart'
import { origin } from '../util/config'

interface IProps {
  mode: string
  options: object
}

class Index extends React.Component<IProps, any> {

  render() {
    const { mode, options } = this.props
    return (
      <div>
        {mode === origin.Echarts && <EchartsPieChart options={options} />}
        {mode === origin.D3 && <D3PieChart options={options} />}
      </div>
    )
  }
}

export default Index
