import React from 'react'
import EchartsScatterChart from '../origin/echarts/ScatterChart'
import D3ScatterChart from '../origin/d3/ScatterChart'
import { origin } from '../util/config'

interface IProps {
  mode: string
  options: object
}

class Index extends React.Component<IProps, any> {

  render() {
    const { mode, options } = this.props
    return (
      <div>
        {mode === origin.Echarts && <EchartsScatterChart options={options} />}
        {mode === origin.D3 && <D3ScatterChart options={options} />}
      </div>
    )
  }
}

export default Index
