import Scale from '../../../coord/Scale'
import render from './render'
import trigger from '../../../shape/trigger'

interface IpieOption {
  chartWidth: number
  chartHeight: number
  paddingLeft: number
  paddingTop: number
  svg: any
  piedata: any
  max: number
}

/**
 * generator
 * @param {IpieOption} pieOption
 * @return {null}
 */
class Pie {
  duration: number

  constructor() {
    this.duration = 500
  }

  init(pieOption: IpieOption, tooltip: any, showList?: any) {
    const {
      chartWidth,
      chartHeight,
      paddingLeft,
      paddingTop,
      svg,
      piedata,
    } = pieOption

    piedata.map((item: any, index: number) => {
      const data = showList && item.data.map((item: any) => {
        return showList[item.name] && item || { name: item.name, value: 0 }
      }) || item.data

      const chartOption = {
        chartWidth,
        chartHeight,
        paddingLeft,
        paddingTop,
        svg,
        data,
        radius: item.radius,
        roseType: item.roseType,
        gname: `yo-piechart-${index}`,
        piename: `yo-pie-${index}`,
        duration: this.duration,
        tooltip,
      }
      render(chartOption)
    })
  }
}

export default Pie
