import * as d3Scale from 'd3-scale'

const d3 = Object.assign(
  {},
  d3Scale,
)

/**
 * return the scale generator
 * @param {String} type
 * @param {Array} domain
 * @param {Array} range
 * @return {Function} scale
 */
const Scale = (scale: Iscale) => {
  const defaultOption = {
    type: scale && scale.type || 'linear', // 比例尺类型
    domain: scale && scale.domain || [0, 10], // 定义域
    range: scale && scale.range || [0, 100], // 比例尺长宽像素值
  }

  let result = null

  if (defaultOption.type === 'linear') {
    result = d3.scaleLinear()
      .domain(defaultOption.domain)
      .range(defaultOption.range)
  }

  return result
}

export default Scale
