interface IclipPath {
  svg: any
  chartWidth: number
  chartHeight: number
  duration?: number
  name?: string
}

// 裁截区域
const clipPath = (options: IclipPath) => {
  const {
    svg,
    chartWidth,
    chartHeight,
    duration = 2000,
    name = 'clipPath',
  } = options

  if (svg.select(`#${name}`).empty()) {
    svg.append('clipPath')
      .attr('id', name)
      .append('rect')
      .attr('x', 0)
      .attr('y', -20)
      .attr('width', 0)
      .attr('height', chartHeight)
      .transition()
      .duration(duration)
      .attr('width', chartWidth)
  } else {
    svg.select(`#${name}`)
      .select('rect')
      .attr('width', chartWidth)
      .attr('height', chartHeight)
  }
}

export default clipPath
