import * as d3 from 'd3-array'

const getMaxNum = (series: any) => {

  // 取每个数组中的最大值
  const maxArr = series.map((item: any) => d3.max(item.data))

  // 取最终最大值
  let max = +d3.max(maxArr) || 0

  // 刻度数范围
  function isValid(ticks: number) {
    return ticks < 11 && ticks > 3 ? true : false
  }

  const pow = Math.pow

  let i = 1
  while (i) {
    if (max < pow(10, i) + 1) {
      const e2 = pow(10, i - 2) * 2
      const e5 = pow(10, i - 2) * 5
      const e10 = pow(10, i - 2) * 10

      if (max % e5 === 0) {
        const ticks = max / e5
        if (isValid(ticks)) {
          return {
            max,
            ticks,
          }
        }
      }

      if (max % e10 === 0) {
        const ticks = max / e10
        if (isValid(ticks)) {
          return {
            max,
            ticks,
          }
        }
      }

      if (max % e2 === 0) {
        const ticks = max / e2
        if (isValid(ticks)) {
          return {
            max,
            ticks,
          }
        }
      }

      max += 1
    } else {
      i += 1
    }
  }
}

export {
  getMaxNum,
}
